GCLOUD_CONTAINER_BUILDS_SUBMIT(1)

NAME

gcloud container builds submit - submit a build using the Google Container Builder service

SYNOPSIS

gcloud container builds submit SOURCE (--config=CONFIG | --tag=TAG, -t TAG) [--async] [--gcs-log-dir=GCS_LOG_DIR] [--gcs-source-staging-dir=GCS_SOURCE_STAGING_DIR] [--substitutions=[_KEY=VALUE,...]] [--timeout=TIMEOUT] [GLOBAL-FLAG ...]

DESCRIPTION
Submit a build using the Google Container Builder service.

POSITIONAL ARGUMENTS

    SOURCE
        The source directory on local disk or tarball in Google Cloud Storage or disk to use for this build.

REQUIRED FLAGS
Exactly one of these must be specified:

    --config=CONFIG
        The .yaml or .json file to use for build configuration.

    --tag=TAG, -t TAG
        The tag to use with a "docker build" image creation. The Container Builder service will run a remote "docker build -t $TAG .", where $TAG is the tag provided by this flag. The tag must be in the gcr.io/* or *.gcr.io/* namespaces.

OPTIONAL FLAGS

    --async
        Display information about the operation in progress, without waiting for the operation to complete.

    --gcs-log-dir=GCS_LOG_DIR
        Directory in Google Cloud Storage to hold build logs. If the bucket does not exist, it will be created. If not set, gs://<project id>_cloudbuild/logs is used.

    --gcs-source-staging-dir=GCS_SOURCE_STAGING_DIR
        Directory in Google Cloud Storage to stage a copy of the source used for the build. If the bucket does not exist, it will be created. If not set, gs://<project id>_cloudbuild/source is used.

    --substitutions=[_KEY=VALUE,...]
        Parameters to be substituted in the build specification. For example (using some nonsensical substitution keys; all keys must begin with an underscore):
        $ gcloud container builds submit . \
            --config config.yaml \
            --substitutions _FAVORITE_COLOR=blue,_NUM_CANDIES=10
    This will result in a build where every occurrence of ${_FAVORITE_COLOR} in certain fields is replaced by "blue", and similarly for ${_NUM_CANDIES} and "10". For more details, see: https://cloud.google.com/container-builder/docs/api/build-requests#substitutions

    --timeout=TIMEOUT
        Maximum time a build can last before it is failed as "TIMEOUT", written as a duration (eg "2h15m5s" is two hours, fifteen minutes, and five seconds). If no unit is specified, seconds is assumed (eg "10" is 10 seconds). Overrides the default container/build_timeout property value for this command invocation.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.